---
title: PageTransitionEvent.persisted
slug: Web/API/PageTransitionEvent/persisted
tags:
  - API
  - PageTransitionEvent
  - Property
  - Reference
  - Web API
---
<div>{{APIRef("HTML DOM")}}</div>

<p>The <code><strong>persisted</strong></code> read-only property indicates if a webpage is loading from a cache.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">window.addEventListener('pageshow', function(event) {
  if (event.persisted) {
    console.log('Page was loaded from cache.');
  }
});</pre>

<h3 id="Value">Value</h3>

<p>A {{jsxref("Boolean")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-pagetransitionevent-persisted', 'PageTransitionEvent: persisted')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.PageTransitionEvent.persisted")}}</p>
